a=int(input())
for i in range(1,a+1):
    u=[]                                #失败
    u.append(i)
    if sum(u) == a:
        print(u)
    for j in range(1, a + 1):
        u.append(j)
        if sum(u) == a:
            print(u)
        for k in range(1, a + 1):
            u.append(k)
            if sum(u) == a:
                print(u)
            for b in range(1, a + 1):
                u.append(b)
                if sum(u) == a:
                    print(u)
                    for y in range(1, a + 1):
                        u.append(y)
                        if sum(u) == a:
                            print(u)
                    u.pop()
                u.pop()
            u.pop()
        u.pop()
    u.pop()

